PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dlascal_Tile | ( | PLASMA_enum | uplo,
|  | double | alpha,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_dlascal_Tile - Scales a matrix by the scalar alpha as in ScaLAPACK pdlascal().

\[ A = \alpha A \]

,

alpha is a scalar, and A a general, upper or lower trapezoidal matrix.

Parameters

  [in] | uplo | Specifies the shape of A: = PlasmaUpperLower: A is a general matrix. = PlasmaUpper: A is an upper trapezoidal matrix. = PlasmaLower: A is a lower trapezoidal matrix.
  [in] | alpha | alpha specifies the scalar alpha
  [in] | A | A is a LDA-by-N matrix.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_dlascal
  PLASMA_dlascal_Tile_Async
  PLASMA_clascal_Tile
  PLASMA_dlascal_Tile
  PLASMA_slascal_Tile